/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |         (DATASET 0009:  12-MONTH FOLLOW-UP URINE RESULT DATA)
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace CASEID = . if (CASEID <= -1 )
replace AMPH = . if (AMPH <= -1 )
replace BARB = . if (BARB <= -1 )
replace BENZ = . if (BENZ <= -1 )
replace CANN = . if (CANN <= -1 )
replace COC = . if (COC <= -1 )
replace METH = . if (METH <= -1 )
replace OP = . if (OP <= -1 )
replace PHEN = . if (PHEN <= -1 )


